@import url(colors.css); 
/* used iport method for the colors */

@font-face {
    font-family: 'SpaceGrotesk-VariableFont_wght', sans-serif;
    src: url('../fonts/SpaceGrotesk-VariableFont_wght.ttf') format('ttf');
    font-weight: normal;
    font-style: normal;
  }
  
@font-face {
      font-family: 'WorkSans', sans-serif;
      src: url('../fonts/WorkSans-VariableFont_wght.ttf') format('ttf');
      font-weight: normal;
      font-style: normal;
  }

body{
    padding: 0px;
    font-weight: 400;
    font-family: "Work Sans", sans-serif;;
    font-size: 18px;
    width: 100%;
    height: 100%;
    margin: 0;
    /* was curious and googled if it was hard to change the cursor but ended up beign so simple so wanted to try it out for fun */
    cursor: url('../images/cursor.svg'), auto;
  } 

/* this is only for tablet and mobile */
.hambMenu {
  display: none;
}

/* I eneded up adding the nav bar on top with a black background i tried so many ways to overlap everything on top of the hero */

.navbar {
  background-color: var(--secondaryColor);
  overflow: auto;
  align-items: center;
  padding-left: 80px;
  padding-top: 20px;
  cursor: url('../images/cursor.svg'), auto;
  padding-bottom: 20px;
}

.logo {
  display: flex;
  min-height: 5%;
  min-width: 10%;
}

nav a {
  float: left;
  text-align: center;
  padding: 12px;
  color: var(--secondaryColorTwo);
  text-decoration: none;
  font-size: 17px;
  cursor: url('../images/cursor-hand.svg'), auto;
}
.dropdown {
  float: left;
  overflow: hidden;
}

i {
  color: var(--secondaryColorTwo);
  position: relative;
}

/* Dropdown hovering button */
.dropdown .dropdown-button {
  font-size: 16px;
  border: none;
  outline: none;
  color: var(--secondaryColorTwo);
  padding: 14px 16px;
  /* used a tutorial which explained the inherit function which allows what chosen to take the same value from the parent instead having to code it again */ 
  background-color: inherit;
  font-family: inherit;
  margin: 0;
  cursor: url('../images/cursor.svg'), auto;
}

/* hide the items inside the drop down item in the navbar */
.dropdown-item {
  display: none;
  position: absolute;
  background-color: var(--secondaryColor);
  min-width: 160px;
  box-shadow: 0px 0px 20px 0px var(--primaryColor) ;
  z-index: 1;
}

/* pages inside the dropdown button */
.dropdown-item a {
  float: none;
  color: var(--secondaryColorTwo);
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

.dropdown-item a:hover {
  background-color: var(--secondaryColorTwo);
  color: var(--secondaryColor);
}

/* menu items pop up when hovering on "projects" */
.dropdown:hover .dropdown-item {
  display: block;
}

body, html {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100vh;
  font-family: 'Work Sans', sans-serif;
}

.hero {
  position: relative;
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.hero-title {
  position: absolute;
  top: 5%;
  font-size: 64px;
  font-family: 'Space Grotesk', sans-serif;
  font-weight: bold;
  color: var(--secondaryColorTwo);
  text-align: center;
  z-index: 100;
}

.hero-container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  width: 100%;
  height: 100vh;
}

.hero-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-size: cover;
  background-position: center;
  transition: filter 0.3s ease-in-out;
  /* gave it a blur to the images*/
  filter: blur(15px);
  position: relative;
}

.hero-section.left {
  background-image: url('../images/bg-left-2.jpg'); 
}

.hero-section.right {
  background-image: url('../images/bg-right-2.jpg');
}

/* take out the blur on hover */
.hero-section:hover {
  filter: blur(0);
}

.hero-h2 {
  position: absolute;
  /* I forced it to center */
  top: 40%;
  font-size: 58px;
  font-family: 'Space Grotesk', sans-serif;
  color: var(--secondaryColorTwo);
  text-align: center;
  opacity: 0.5;
  transition: opacity 0.3s ease-in-out;
  line-height: 1.2;
}

.hero-section:hover .hero-h2 {
  opacity: 1;
}

.hero-button {
  position: absolute;
  /* forced the position of the button too */
  top: 80%;
  padding: 10px 20px;
  text-decoration: none;
  font-weight: bold;
  font-size: 18px;
  font-family: 'Work Sans', sans-serif;
  border-radius: 25px;
  transition: background 0.3s;
}

/* wanted to give the buttons not only a color but more a button feeling like 3D (as i did on figma) */
.black {
  background-color: var(--secondaryColor);
  color: var(--secondaryColorTwo);
  border: 1px solid var(--accentColorTwo);
  box-shadow: inset 0 0 10px var(--accentColorTwo);
}

.pink {
  background-color: var(--primaryColor);
  color: var(--secondaryColorTwo);
  border: 1px solid var(--accentColor);
  box-shadow: inset 0 0 10px var(--accentColor);
}

/* make the button a lil lighter on hover */
.black:hover {
  background-color: var(--secondaryColor);
  color: var(--secondaryColorTwo);
}

.pink:hover {
  background-color: var(--primaryColor);
  color: var(--secondaryColorTwo);
}

footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: var(--primaryColor);
  padding: 10px 80px;
  color: var(--secondaryColorTwo);
  cursor: url('../images/cursor-2.svg'), auto;
}

.social-icons {
  display: flex;
  gap: 10px;
}

.social-icons a {
  display: inline-block;
  width: 24px;
  height: 24px;
  cursor: url('../images/cursor-hand.svg'), auto;
}

.social-icons img {
  width: 100%;
  height: auto;
  display: block;
}


@media only screen and (max-width: 768px) {
  /* transform the nav bar into a hamburger menu on tablet and mobile */

   .hambMenu {
    display: flex;
    position: fixed;
    top: 0;
    right: 0;
    z-index: 300;
    width: 100vw;
    justify-content: space-between;
   }
  
  .logoHamb {
    z-index: 1000;
  }
  
  /* checkbox to a toggle */
  
  .toggle {
    width: 60px;
    height: 60px;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 2;
    opacity: 0;
    /* cursor: pointer; no need for ponter as it is only tablet and mobile */
    color: var(--secondaryColor);
  }
  
  /* hamburger icons */
  
  .hamburger {
    position: absolute;
    top: 0;
    right: 20;
    z-index: 1;
  
    /* style the square */
    width: 30px;
    height: 60px;
    background: transparent;
    padding: 0;
  
    /* flex to center content */
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  /* hamburger lines */
  .hamburger > div {
    position: relative;
    width: 100%;
    height: 2px;
    background-color: var(--secondaryColorTwo);
    transition: all 0.5s ease;
  }
  
  /* no need for the toggle to move on hover as theres no hover effect on tablets or mobile */
  /* .toggle:checked:hover + .hamburger > div {
    transform: rotate(225deg);
  } */
  
  .hamburger > div::before, 
  .hamburger > div::after {
    content: "";
    position: absolute;
    z-index: 1;
    width: 100%;
    height: 2px;
    background-color: var(--secondaryColorTwo);
  } 
  
  .hamburger > div::before {
    top: -10px
  }
  
  .hamburger > div::after {
    top: 10px;
  }
  
  /* change the hamburger state to the X */
  .toggle:checked + .hamburger > div {
    transform: rotate(135deg);
  }
  
  .toggle:checked + .hamburger > div::before,
  .toggle:checked + .hamburger > div::after {
    top: 0;
    transform: rotate(90deg);
  }
  
  /* link my hb to menu */
  .toggle:checked ~ .menu {
    visibility: visible;
    position: fixed;
  }
  
  .toggle:checked ~ .menu > div {
    transform: scale(1);
    transition-duration: var(0.75s);
  }
  
  .toggle:checked ~ .menu > div > div {
    opacity: 1;
  }
  
  /* style menu links */
  .menu {
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
  
    /* hide menu */
    visibility: hidden;
    overflow: hidden;
  }
  /* overlay */
  .menu > div {
    background-color: var(--secondaryColor);
    /* turn into a circle */
    border-radius: 50%;
    width: 200%;
    height: 200vw;
  
    /* put overlay in the center */
    display: flex;
    flex: none;
    justify-content: center;
    align-items: center;
  
    /* animation when appears */
    transform: scale(0);
    transition: all 1s ease;
  }
  
  /* links */
  .menu > div > div {
    text-align: center;
    max-width: 90vw;
    max-height: 100vh;
  
    /* animation */
    opacity: 0;
    transition: all 0.3s ease;
  
  }
  
  .menu > div > div > ul {
    padding: 0;
  }
  
  .menu > div > div > ul > li {
    list-style: none;
    padding: 0;
  }
  .menu > div > div > ul > li > a {
    font-family:"Space Grotesk", sans-serif; ;
    text-decoration: none;
    color: var(--secondaryColorTwo);
    font-size: 1.5rem;
  }
  
  .logo {
    justify-content: left;
    margin: 0;
  }
  
   .link-item {
    display: none;
   }
  
   .dropdown {
    display: none;
   }
  
  .navbar {
    padding: 0;
  }


  /* the initial idea was to transform this section into a slider but had to revise it as not working so transformed it into a column */
  .hero {
    padding: 0;
    height: auto;
  }

  .hero-title {
    background-color: black;
    width: 100%;
    margin: 0;
    padding: 20px 0;
    text-align: center;
    font-size: 42px;
    color: var(--secondaryColorTwo);
  }

  .hero-container {
    display: flex;
    flex-direction: column; 
    width: 100%;
    height: auto;
  }

  .hero-section {
    width: 100%;
    height: auto;
    aspect-ratio: 1/1; 
    background-size: cover;
    background-position: center;
    /* took away the blur as it is a tablet and mobile there is no hover effect */
    filter: none;
  }

  .hero-h2, .hero-button {
    position: absolute;
    z-index: 2;
    color: var(--secondaryColorTwo);
    text-align: center;
  }

  /* i foced the position of the headings here too */
  .hero-h2 {
    top: 41%;
    font-size: 36px;
    font-weight: bold;
    opacity: 1;
    /* took away the blur here as well */
    transition: none;
  }

  .hero-button {
    top: 80%;
    font-size: 16px;
    padding: 10px 18px;
    border-radius: 25px;
  }

  footer {
    z-index: 100000;
    text-align: center;
    padding: 15px 40px;
  }
}


@media (max-width: 478px) {
  .hambMenu {
    display: flex;
    position: fixed;
    top: 0;
    right: 0;
    z-index: 300;
    width: 100vw;
    justify-content: space-between;
   }
  
  .logoHamb {
    z-index: 1000;
  }
  
  /* checkbox to a toggle */
  
  .toggle {
    width: 60px;
    height: 60px;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 2;
    opacity: 0;
    cursor: pointer;
    color: var(--secondaryColor);
  }
  
  /* hamburger icons */
  
  .hamburger {
    position: absolute;
    top: 0;
    right: 20;
    z-index: 1;
  
    /* style the square */
    width: 30px;
    height: 60px;
    background: transparent;
    padding: 0;
  
    /* flex to center content */
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  /* hamburger lines */
  .hamburger > div {
    position: relative;
    width: 100%;
    height: 2px;
    background-color: var(--secondaryColorTwo);
    transition: all 0.5s ease;
  }
  
  /* no need for the toggle to move on hover as theres no hover effect on tablets or mobile */
  /* .toggle:checked:hover + .hamburger > div {
    transform: rotate(225deg);
  } */
  
  .hamburger > div::before, 
  .hamburger > div::after {
    content: "";
    position: absolute;
    z-index: 1;
    width: 100%;
    height: 2px;
    background-color: var(--secondaryColorTwo);
  } 
  
  .hamburger > div::before {
    top: -10px
  }
  
  .hamburger > div::after {
    top: 10px;
  }
  
  /* change the hamburger state to the X */
  .toggle:checked + .hamburger > div {
    transform: rotate(135deg);
  }
  
  .toggle:checked + .hamburger > div::before,
  .toggle:checked + .hamburger > div::after {
    top: 0;
    transform: rotate(90deg);
  }
  
  /* link my hb to menu */
  .toggle:checked ~ .menu {
    visibility: visible;
    position: fixed;
  }
  
  .toggle:checked ~ .menu > div {
    transform: scale(1);
    transition-duration: var(0.75s);
  }
  
  .toggle:checked ~ .menu > div > div {
    opacity: 1;
  }
  
  /* style menu links */
  .menu {
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
  
    /* hide menu */
    visibility: hidden;
    overflow: hidden;
  }
  /* overlay */
  .menu > div {
    background-color: var(--secondaryColor);
    /* turn into a circle */
    border-radius: 50%;
    width: 500%;
    height: 500vw;
  
    /* put overlay in the center */
    display: flex;
    flex: none;
    justify-content: center;
    align-items: center;
  
    /* animation when appears */
    transform: scale(0);
    transition: all 1s ease;
  }
  
  /* links */
  .menu > div > div {
    text-align: center;
    max-width: 90vw;
    max-height: 100vh;
  
    /* animation */
    opacity: 0;
    transition: all 0.3s ease;
  
  }
  
  .menu > div > div > ul {
    padding: 0;
  }
  
  .menu > div > div > ul > li {
    list-style: none;
    padding: 0;
  }
  .menu > div > div > ul > li > a {
    font-family:"Space Grotesk", sans-serif; ;
    text-decoration: none;
    color: var(--secondaryColorTwo);
    font-size: 1.5rem;
  }
  
  .logo {
    justify-content: left;
    margin: 0;
  }
  
   .link-item {
    display: none;
   }
  
   .dropdown {
    display: none;
   }

   .navbar {
     padding: 0;
   }


  .hero-title {
    font-size: 32px; 
    padding: 15px 0;
  }

  .hero-container {
    flex-direction: column;
    width: 100%;
  }

  .hero-section {
    aspect-ratio: 1/1; 
    width: 100%;
  }

  /* forced position of text here too */

  .hero-h2 {
    font-size: 28px; 
    top: 41%;
  }

  /* as well as for the buttons */

  .hero-button {
    font-size: 14px;
    padding: 8px 16px;
    top: 80%;
  }

  footer {
    padding: 10px 20px;
    font-size: 14px;
  }
}